package com.kingdee.eas.custom.facade.IntelligentRules;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.facade.IntelligentRules.*;

public class IntelligentRulesFacade extends AbstractBizCtrl implements IIntelligentRulesFacade
{
    public IntelligentRulesFacade()
    {
        super();
        registerInterface(IIntelligentRulesFacade.class, this);
    }
    public IntelligentRulesFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IIntelligentRulesFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("0B34AF0C");
    }
    private IntelligentRulesFacadeController getController() throws BOSException
    {
        return (IntelligentRulesFacadeController)getBizController();
    }
    /**
     *执行匹配规则-User defined method
     *@param ruleNumber 规则编码
     */
    public void rules(String ruleNumber) throws BOSException, EASBizException
    {
        try {
            getController().rules(getContext(), ruleNumber);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}